Package com.castlabs.android.player.playlist

## Class PlaylistController

- java.lang.Object
- - com.castlabs.android.player.AbstractPlayerListener
  - - com.castlabs.android.player.playlist.MultiControllerPlaylist
    - - com.castlabs.android.player.playlist.PlaylistController

- All Implemented Interfaces:
    `PlayerListener`, `PlayerViewLifecycleDelegate.LifecycleListener`, `Playlist`

      public class PlaylistController
      extends MultiControllerPlaylist

  Deprecated.
  since 4.2.5. Use `MultiControllerPlaylist` instead.
  Playlist management.
  Since:
    4.2.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.castlabs.android.player.playlist.MultiControllerPlaylist

      `MultiControllerPlaylist.AbstractPlaylistListener, MultiControllerPlaylist.Builder, MultiControllerPlaylist.ItemChangeFlags, MultiControllerPlaylist.PlaylistListener`

  - ### Field Summary

    - ### Fields inherited from class com.castlabs.android.player.playlist.MultiControllerPlaylist

      `DEFAULT_ITEM_CHANGE_FLAGS, ITEM_THRESHOLD_FULLY_BUFFERED, ITEM_THRESHOLD_UPON_START, KEEP_ALL, KEEP_AUDIO_TRACK, KEEP_BANDWIDTH_ESTIMATE, KEEP_SUBTITLE_TRACK, KEEP_TRICKPLAY_CONFIG, KEEP_VIDEO_QUALITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlaylistController​(Context context, MultiControllerPlaylist.PlaylistListener listener)` | Deprecated.
    `PlaylistController​(PlayerView playerView, MultiControllerPlaylist.PlaylistListener listener)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class com.castlabs.android.player.playlist.MultiControllerPlaylist

      `addItem, addItem, enableLooping, getCurrentController, getCurrentItem, getCurrentItemIndex, getLoadedConfigs, getPlaylist, getSize, migratePlayerListeners, nextItem, onError, onFatalErrorOccurred, onFullyBuffered, onPlaybackPositionChanged, onPostDestroy, onPostRelease, onPostResume, onPostStart, onSeekRangeChanged, onSeekTo, onStateChanged, onVideoSizeChanged, open, open, open, open, open, open, playItem, previousItem, removeItem, setItemChangeFlags, setNextItemThreshold, slideNext, slidePrevious, swap`

    - ### Methods inherited from class com.castlabs.android.player.AbstractPlayerListener

      `onDisplayChanged, onDurationChanged, onPlayerModelChanged, onSeekCompleted, onSpeedChanged, onTrackKeyStatusChanged`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlaylistController

          public PlaylistController​(@NonNull
                                    PlayerView playerView,
                                    @Nullable
                                    MultiControllerPlaylist.PlaylistListener listener)

      Deprecated.

    - #### PlaylistController

          public PlaylistController​(@NonNull
                                    Context context,
                                    @Nullable
                                    MultiControllerPlaylist.PlaylistListener listener)

      Deprecated.